Name:          csg-util
Version:       1.0.3
Release:       %mkrel 3
Summary:       CSG Utils Package
Group:         Development/Java
License:       ASL, BSD
Url:           http://www.claritysys.com/products/util/
Source0:       http://www.claritysys.com/products/util/csg-util-1.0.3-src.zip
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
Utils is a Java library package of utility methods,
some of which have been in use since Java 1.02!

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Utils is a Java library package of utility methods,
some of which have been in use since Java 1.02!

This package contains javadoc for %{name}.

%prep
%setup -q -n csg-util-%{version}-src

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

sed -i 's/\r//g' CHANGES

%build

ant jar javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -pm 644 build/dist/csg-util-%{version}/csg-util.jar \
  %{buildroot}%{_javadir}/csg-util-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/csg-util-%{version}
cp -pr build/dist/csg-util-%{version}/doc/api/* %{buildroot}%{_javadocdir}/csg-util-%{version}
ln -s csg-util-%{version} %{buildroot}%{_javadocdir}/csg-util

%files
%{_javadir}/csg-util-%{version}.jar
%{_javadir}/csg-util.jar
%doc CHANGES

%files javadoc
%{_javadocdir}/csg-util-%{version}
%{_javadocdir}/csg-util



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-3.mga4
+ Revision: 503575
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 348357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.3-1.mga2
+ Revision: 131884
- Clean spec file

  + gil <gil>
    - imported package csg-util


* Wed Jun 15 2011 gil <gil> 1.0.3-0.%%mkrel
- initial rpm

